program P_H;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var
  i, n: longint;
begin
  assign(input, 'heapsort.in'); reset(input);
  assign(output, 'heapsort.out'); rewrite(output);
  read(n);
  for i := n downto 2 do
    write(i, ' ');
  writeln(1);
  close(input); close(output);
end.
